<template>
  <div
    class="
      fixed
      z-30
      flex
      items-center
      justify-between
      w-full
      md:w-11/12 md:px-3
      px-1
      mx-auto
      overflow-hidden
      text-sm
      bg-white
      shadow-md
      rounded-b-xl
      h-60px
      md:h-65px
      lg:h-77px
    "
    :style="{ left: '50%', transform: 'translateX(-50%)' }"
  >
    <section
      class="flex justify-between w-full h-full text-tiny text-black-400"
      id="navbar"
    >
      <client-only>
        <div class="flex">
          <div
            class="flex items-center justify-center flex-1"
            v-if="$mq === 'mobile' || $mq === 'tablet'"
          >
            <nuxt-link to="/" class="mx-2 min-w-90px max-w-90px">
              <img :src="logo" />
            </nuxt-link>
          </div>

          <MenuDesktop
            :nav_link_list="nav_link_list"
            v-if="$mq !== 'mobile' && $mq !== 'tablet'"
          />
          <MenuMobile :nav_link_list="nav_link_list" v-else class="ml-3" />
        </div>
        <div class="flex">
          <SwitchLang />
          <Login />
        </div>
      </client-only>
    </section>
  </div>
</template>

<script>
export default {
  data() {
    return {
      logo: require("~/assets/images/scankub_logo.svg"),
      nav_link_list: [
        { to_path: "/about-us", content: "About Us" },
        // { to_path: "/promotion", content: "Promotion" },
        { to_path: "/our-service", content: "Our service" },
        { to_path: "/how-to-use", content: "How to use" },
        { to_path: "/active-campaign", content: "Active Campaign" },
        { to_path: "/blog", content: "Blog" },
      ],
    }
  },
}
</script>

<style scoped>
/* .switch_lang {
  left: 3px;
} */
</style>
